Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model
Interface IPortletDescription

All Superinterfaces
  IOfferedEntity, Serializable

    public interface IPortletDescription

extends IOfferedEntity

A producer offered portlet description.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Field Summary
`static int` | `WSRP_USER_PROPERTIES_MODE__ALL` For WSRP the required user properties are ALL
`static int` | `WSRP_USER_PROPERTIES_MODE__APP_DEFAULT` For WSRP the required user properties are DEFAULTED to the web-app's default
`static int` | `WSRP_USER_PROPERTIES_MODE__NONE` For WSRP the required user properties are NONE
`static int` | `WSRP_USER_PROPERTIES_MODE__SPECIFIED` For WSRP the required user properties are SPECIFIED

Method Summary
`boolean` | `areTemplatesStoredInSession()` Returns true if the portlet or producer stores URL templates in session.
`boolean` | `cacheRenderDependencies()` Returns true of the consumer can cache the dependency information obtained via the getHead request.
`boolean` | `doesUrlTemplateProcessing()` Returns true if the portlet can write URLs using URL templates.
`String` | `getAsyncContent()` Returns the type of async content.
`ILocalizedString` | `getDescription()` Returns the description (if any) of the portlet.
`ILocalizedString` | `getDisplayName()` Returns the display name (if any) of the portlet
`String` | `getGroupID()` Returns the group ID (if any) of the portlet.
`List<IHandledEvent>` | `getHandledEvents()` Returns an immutable list of events handled by this portlet.
`List<ILocalizedString>` | `getKeywords()` Returns an immutable list of keywords (if any) of the portlet
`List<IMarkupType>` | `getMarkupTypes()` Returns an immutable list of markup types supported by this portlet.
`String` | `getPortletHandle()` Returns the handle of the portlet.
`ILocalizedString` | `getShortTitle()` Returns the short title (if any) of the portlet.
`ILocalizedString` | `getTitle()` Returns the title (if any) of the portlet.
`List<String>` | `getUserCategories()` Returns an immutable list of user categories (if any) recognized by the portlet
`List<String>` | `getUserProfileItems()` Returns an immutable list of user profile items (if any) required by the portlet
`int` | `getUserProfileItemsMode()` Returns the mode of user profile items propagation.
`boolean` | `hasRenderDependencies()` Returns true if this portlet has render dependencies.
`boolean` | `hasUserSpecificState()` Returns true if the portlet maintains user specific state.
`boolean` | `isDefaultMarkupSecure()` Returns true if the portlet requires the initial view of the portlet to be rendered over a secure channel.
`boolean` | `isOnlySecure()` Returns true if the portlet requires it to be rendered over a secure channel.
`boolean` | `isUserContextStoredInSession()` Returns true if the portlet or producer stores the user context in session.
`boolean` | `usesMethodGet()` Returns true if the portlet uses forms with method GET.

Methods inherited from interface com.bea.wsrp.model.IOfferedEntity
`getHandle`

Field Detail

### WSRP_USER_PROPERTIES_MODE__NONE

    static final int WSRP_USER_PROPERTIES_MODE__NONE

  For WSRP the required user properties are NONE

  See Also
    Constants Summary

### WSRP_USER_PROPERTIES_MODE__ALL

    static final int WSRP_USER_PROPERTIES_MODE__ALL

  For WSRP the required user properties are ALL

  See Also
    Constants Summary

### WSRP_USER_PROPERTIES_MODE__SPECIFIED

    static final int WSRP_USER_PROPERTIES_MODE__SPECIFIED

  For WSRP the required user properties are SPECIFIED

  See Also
    Constants Summary

### WSRP_USER_PROPERTIES_MODE__APP_DEFAULT

    static final int WSRP_USER_PROPERTIES_MODE__APP_DEFAULT

  For WSRP the required user properties are DEFAULTED to the web-app's default

  See Also
    Constants Summary

Method Detail

### getPortletHandle

    String getPortletHandle()

  Returns the handle of the portlet.

  Returns
    handle

### getMarkupTypes

    List<IMarkupType> getMarkupTypes()

  Returns an immutable list of markup types supported by this portlet.

  Returns
    markup types

### getGroupID

    String getGroupID()

  Returns the group ID (if any) of the portlet.

  Returns
    group ID

### getDescription

    ILocalizedString getDescription()

  Returns the description (if any) of the portlet.

  Returns
    description

### getShortTitle

    ILocalizedString getShortTitle()

  Returns the short title (if any) of the portlet.

  Returns
    short title

### getTitle

    ILocalizedString getTitle()

  Returns the title (if any) of the portlet.

  Specified by:
    `getTitle` in interface `IOfferedEntity`
  Returns
    title

### getDisplayName

    ILocalizedString getDisplayName()

  Returns the display name (if any) of the portlet

  Returns
    display name

### getKeywords

    List<ILocalizedString> getKeywords()

  Returns an immutable list of keywords (if any) of the portlet

  Returns
    keywords

### getUserCategories

    List<String> getUserCategories()

  Returns an immutable list of user categories (if any) recognized by the portlet

  Returns
    user categories

### getUserProfileItemsMode

    int getUserProfileItemsMode()

  Returns the mode of user profile items propagation. Returns one of XXX.

  Returns
    mode

### getUserProfileItems

    List<String> getUserProfileItems()

  Returns an immutable list of user profile items (if any) required by the portlet

  Returns
    user profile items

### usesMethodGet

    boolean usesMethodGet()

  Returns true if the portlet uses forms with method GET.

  Returns
    boolean

### isDefaultMarkupSecure

    boolean isDefaultMarkupSecure()

  Returns true if the portlet requires the initial view of the portlet to be rendered over a secure channel.

  Returns
    boolean

### isOnlySecure

    boolean isOnlySecure()

  Returns true if the portlet requires it to be rendered over a secure channel.

  Returns
    boolean

### isUserContextStoredInSession

    boolean isUserContextStoredInSession()

  Returns true if the portlet or producer stores the user context in session.

  Returns
    boolean

### areTemplatesStoredInSession

    boolean areTemplatesStoredInSession()

  Returns true if the portlet or producer stores URL templates in session.

  Returns
    boolean

### hasUserSpecificState

    boolean hasUserSpecificState()

  Returns true if the portlet maintains user specific state.

  Returns
    boolean

### doesUrlTemplateProcessing

    boolean doesUrlTemplateProcessing()

  Returns true if the portlet can write URLs using URL templates.

  Returns
    boolean

### getHandledEvents

    List<IHandledEvent> getHandledEvents()

  Returns an immutable list of events handled by this portlet.

  Returns
    handled events

### hasRenderDependencies

    boolean hasRenderDependencies()

  Returns true if this portlet has render dependencies. If true, the consumer will send a special getHead message to the producer to obtain the dependencies. The default is false.

  Returns
    boolean

### cacheRenderDependencies

    boolean cacheRenderDependencies()

  Returns true of the consumer can cache the dependency information obtained via the getHead request. The recommended value is true.

  Returns
    boolean

### getAsyncContent

    String getAsyncContent()

  Returns the type of async content. The known values are "none", "ajax" and "iframe". The default is "none".

  Returns
    async content type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved